vector.c File Reference

Generic vector interface routine. More...

`#include <stdlib.h>`
`#include <unistd.h>`
`#include <osmocom/vty/vector.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/core/talloc.h>`
`#include <string.h>`

## Functions

vector | vector_init (unsigned int size)
void | vector_only_wrapper_free (vector v)
void | vector_only_index_free (void *index)
void | vector_free (vector v)
vector | vector_copy (vector v)
void | vector_ensure (vector v, unsigned int num)
int | vector_empty_slot (vector v)
int | vector_set (vector v, void *val)
int | vector_set_index (vector v, unsigned int i, void *val)
void * | vector_lookup (vector v, unsigned int i)
void * | vector_lookup_ensure (vector v, unsigned int i)
void | vector_unset (vector v, unsigned int i)
unsigned int | vector_count (vector v)

## Variables

void * | tall_vty_vec_ctx

## Detailed Description

Generic vector interface routine.